public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:dev commit in: dev-libs/libdatrie/
@ 2021-08-10 10:40 Rui Huang
  0 siblings, 0 replies; 2+ messages in thread
From: Rui Huang @ 2021-08-10 10:40 UTC (permalink / raw
  To: gentoo-commits

commit:     ca3df19d636ae2278f8e55a7513c53824165d0a1
Author:     Huang Rui <vowstar <AT> gmail <DOT> com>
AuthorDate: Tue Aug 10 10:40:37 2021 +0000
Commit:     Rui Huang <vowstar <AT> gmail <DOT> com>
CommitDate: Tue Aug 10 10:40:37 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=ca3df19d

dev-libs/libdatrie: Double-Array Trie Library

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Huang Rui <vowstar <AT> gmail.com>

 dev-libs/libdatrie/Manifest                |  1 +
 dev-libs/libdatrie/libdatrie-0.2.13.ebuild | 39 ++++++++++++++++++++++++++++++
 dev-libs/libdatrie/metadata.xml            | 21 ++++++++++++++++
 3 files changed, 61 insertions(+)

diff --git a/dev-libs/libdatrie/Manifest b/dev-libs/libdatrie/Manifest
new file mode 100644
index 000000000..f3ae83671
--- /dev/null
+++ b/dev-libs/libdatrie/Manifest
@@ -0,0 +1 @@
+DIST libdatrie-0.2.13.tar.gz 109963 BLAKE2B e4314a8ba78067963fdc3dc948238fda2ef4b1692fb4c5213ad4f1d082d0393bccc2c15d686e7e06d2d264c56e93048461e481e0807c4996d5d395e2ed6f58d4 SHA512 38f5a3ee1f3ca0f0601a5fcfeec3892cb34857d4b4720b8e018ca1beb6520c4c10af3bd2f0e4d64367cb256e8e2bca4d0a59b1c81fb36782613d2c258b64df59

diff --git a/dev-libs/libdatrie/libdatrie-0.2.13.ebuild b/dev-libs/libdatrie/libdatrie-0.2.13.ebuild
new file mode 100644
index 000000000..fd41c3bf7
--- /dev/null
+++ b/dev-libs/libdatrie/libdatrie-0.2.13.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Double-Array Trie Library"
+HOMEPAGE="https://github.com/tlwg/libdatrie"
+
+if [[ ${PV} == "9999" ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/tlwg/${PN}.git"
+else
+	SRC_URI="https://github.com/tlwg/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+
+RDEPEND=""
+DEPEND="${RDEPEND}"
+BDEPEND="dev-vcs/git"
+
+src_prepare() {
+	default
+	# Fixed version if in non git project
+	echo ${PV} > VERSION
+	# From upstreams autogen.sh, to make it utilize the autotools eclass
+	# Here translate the autogen.sh, equivalent to the following code
+	# > sh autogen.sh
+	eautoheader
+	_elibtoolize --force
+	eaclocal
+	eautomake --add-missing
+	# Not allow git-version-gen does refresh
+	eautoconf
+}

diff --git a/dev-libs/libdatrie/metadata.xml b/dev-libs/libdatrie/metadata.xml
new file mode 100644
index 000000000..8798cc9d0
--- /dev/null
+++ b/dev-libs/libdatrie/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>vowstar@gmail.com</email>
+		<name>Huang Rui</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">tlwg/libdatrie</remote-id>
+	</upstream>
+	<longdescription lang="en">
+	This is an implementation of double-array structure for representing trie, 
+	as proposed by Junichi Aoe.
+	Trie is a kind of digital search tree, an efficient indexing method in which
+	search time is independent of database size. It only takes O(m) search time,
+	where m is the length of the search string. Comparably as efficient as hashing,
+	trie also provides flexibility on incremental matching and key spelling
+	manipulation. This makes it ideal for lexical analyzers, as well as spelling
+	dictionaries.
+	</longdescription>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-libs/libdatrie/
@ 2024-10-15 14:53 Takuya Wakazono
  0 siblings, 0 replies; 2+ messages in thread
From: Takuya Wakazono @ 2024-10-15 14:53 UTC (permalink / raw
  To: gentoo-commits

commit:     f869b70d0156091ce1358f3a0e4e20fedb0169e4
Author:     Takuya Wakazono <pastalian46 <AT> gmail <DOT> com>
AuthorDate: Tue Oct 15 14:52:49 2024 +0000
Commit:     Takuya Wakazono <pastalian46 <AT> gmail <DOT> com>
CommitDate: Tue Oct 15 14:52:49 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f869b70d

dev-libs/libdatrie: add USE=doc

Closes: https://bugs.gentoo.org/807909
Closes: https://bugs.gentoo.org/839861
Signed-off-by: Takuya Wakazono <pastalian46 <AT> gmail.com>

 ...ie-0.2.13.ebuild => libdatrie-0.2.13-r1.ebuild} | 31 ++++++++++++----------
 1 file changed, 17 insertions(+), 14 deletions(-)

diff --git a/dev-libs/libdatrie/libdatrie-0.2.13.ebuild b/dev-libs/libdatrie/libdatrie-0.2.13-r1.ebuild
similarity index 56%
rename from dev-libs/libdatrie/libdatrie-0.2.13.ebuild
rename to dev-libs/libdatrie/libdatrie-0.2.13-r1.ebuild
index fafa5f485..71339777c 100644
--- a/dev-libs/libdatrie/libdatrie-0.2.13.ebuild
+++ b/dev-libs/libdatrie/libdatrie-0.2.13-r1.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 inherit autotools
 
@@ -16,23 +16,26 @@ else
 	KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
 fi
 
-LICENSE="LGPL-2.1"
+LICENSE="LGPL-2.1+"
 SLOT="0"
+IUSE="doc"
 
-DEPEND="${RDEPEND}"
-BDEPEND="dev-vcs/git"
+BDEPEND="doc? ( app-text/doxygen )"
 
 src_prepare() {
 	default
 	# Fixed version if in non git project
 	echo ${PV} > VERSION
-	# From upstreams autogen.sh, to make it utilize the autotools eclass
-	# Here translate the autogen.sh, equivalent to the following code
-	# > sh autogen.sh
-	eautoheader
-	_elibtoolize --force
-	eaclocal
-	eautomake --add-missing
-	# Not allow git-version-gen does refresh
-	eautoconf
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		$(use_enable doc doxygen-doc) \
+		--with-html-docdir="${EPREFIX}"/usr/share/doc/${PF}/html
+}
+
+src_install() {
+	default
+	find "${ED}" -name '*.la' -delete || die
 }


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2024-10-15 14:53 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-08-10 10:40 [gentoo-commits] repo/proj/guru:dev commit in: dev-libs/libdatrie/ Rui Huang
  -- strict thread matches above, loose matches on Subject: below --
2024-10-15 14:53 Takuya Wakazono

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox